package com.kingdee.eas.custom.recuritment;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class ApplicantBeisenCollection extends AbstractObjectCollection 
{
    public ApplicantBeisenCollection()
    {
        super(ApplicantBeisenInfo.class);
    }
    public boolean add(ApplicantBeisenInfo item)
    {
        return addObject(item);
    }
    public boolean addCollection(ApplicantBeisenCollection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(ApplicantBeisenInfo item)
    {
        return removeObject(item);
    }
    public ApplicantBeisenInfo get(int index)
    {
        return(ApplicantBeisenInfo)getObject(index);
    }
    public ApplicantBeisenInfo get(Object key)
    {
        return(ApplicantBeisenInfo)getObject(key);
    }
    public void set(int index, ApplicantBeisenInfo item)
    {
        setObject(index, item);
    }
    public boolean contains(ApplicantBeisenInfo item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(ApplicantBeisenInfo item)
    {
        return super.indexOf(item);
    }
}